Summary: Modules provides dynamic modification of a user's environment via modulefiles.
Name: env-modules
Version: 3.2.8a
Release: 2.scs
License: OSI-Approved
Group: System Environment/Tools
Source0: http://softlayer.dl.sourceforge.net/project/modules/Modules/modules-%{version}/modules-%{version}.tar.bz2
# From:  http://sourceforge.net/tracker/?func=detail&aid=3371579&group_id=15538&atid=315538
Patch1: env-modules-3.2.8a-module_purge_crash_sf3371579.patch
Packager: %{?_packager:%{_packager}}%{!?_packager:%{_vendor}}
Vendor: %{?_vendorinfo:%{_vendorinfo}}%{!?_vendorinfo:%{_vendor}}
Distribution: %{?_distribution:%{_distribution}}%{!?_distribution:%{_vendor}}
BuildRequires: tcl-devel
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Environment Modules package provides for the dynamic modification of a
user's environment via modulefiles.

Modules can be loaded and unloaded dynamically and atomically, in an clean
fashion. All popular shells are supported, including bash, ksh, zsh, sh,
csh, tcsh, as well as some scripting languages such as perl.

Modules are useful in managing different versions of applications. Modules
can also be bundled into metamodules that will load an entire suite of
different applications. 

%prep
%setup -q -n modules-3.2.8
%patch1 -p1

%build
CFLAGS="%{?cflags:%{cflags}}%{!?cflags:$RPM_OPT_FLAGS}"
CXXFLAGS="%{?cxxflags:%{cxxflags}}%{!?cflags:$RPM_OPT_FLAGS}"
export CFLAGS CXXFLAGS

if [ `uname -m` == "x86_64" ]; then
   machine=x86_64
else
   machine=i386
fi

if [ -f "%{_sysconfdir}/caos-release" ]; then
   release=`cat %{_sysconfdir}/caos-release  | sed "s,.*Release \(.\).*,\\1,i"`
   distro="caos-$release.$machine"
elif [ -f "%{_sysconfdir}/fedora-release" ]; then
   release=`cat %{_sysconfdir}/fedora-release  | sed "s,.*Release \(.\).*,\\1,i"`
   distro="fedora-$release.$machine"
elif [ -f "%{_sysconfdir}/redhat-release" ]; then
   release=`cat %{_sysconfdir}/redhat-release  | sed "s,.*Release \(.\).*,\\1,i"`
   distro="redhat-$release.$machine"
fi

./configure %{?acflags} --prefix=%{_prefix} --datadir=%{_datadir} --mandir=%{_mandir} --with-etc-path=%{_sysconfdir} \
   --with-man-path=%{_mandir} --with-module-path=/usr/cports/modulefiles/$distro:%{_sysconfdir}/modulefiles \
   --with-tcl-libraries=/usr/share/tcl8.4 --with-tcl-lib=%{_libdir} --with-tcl-inc=%{_includedir} \
   --with-skel-path=%{_sysconfdir}/skel --with-split-size=960 --without-x --disable-versioning
   
%{__make} %{?mflags}

# Needs dejagnu installed
#%check
#%{__make} check

%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT %{?mflags_install}
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/modulefiles
rm -f $RPM_BUILD_ROOT/%{_prefix}/Modules/modulefiles/module-cvs
rm -f $RPM_BUILD_ROOT/%{version}

# Install shell profile files
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
%{__install} -m 0755 etc/global/profile.modules $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/modules.sh
%{__install} -m 0755 etc/global/csh.modules $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/modules.csh

%clean
test "x$RPM_BUILD_ROOT" != "x" && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README INSTALL INSTALL.RH7x LICENSE.GPL TODO ChangeLog doc 
%dir %{_sysconfdir}/modulefiles
%dir %{_prefix}/Modules/
%dir %{_prefix}/Modules/init/
%config(noreplace) %{_prefix}/Modules/init/.modulespath
%config(noreplace) %{_prefix}/Modules/init/*
%config(noreplace) %{_sysconfdir}/profile.d/*
%{_prefix}/Modules/bin/
%{_prefix}/Modules/modulefiles/
%{_mandir}/*/*

%changelog
